EhcacheAccessStrategyFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.internal.strategy
Interface EhcacheAccessStrategyFactory

All Known Implementing Classes:
  EhcacheAccessStrategyFactoryImpl, NonstopAccessStrategyFactory

    public interface EhcacheAccessStrategyFactory

Factory to create `EntityRegionAccessStrategy`

Method Summary
`CollectionRegionAccessStrategy` | `createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion, AccessType accessType)` Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`
`EntityRegionAccessStrategy` | `createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion, AccessType accessType)` Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`
`NaturalIdRegionAccessStrategy` | `createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion, AccessType accessType)` Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

Method Detail

### createEntityRegionAccessStrategy

    EntityRegionAccessStrategy createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion,
                                                                AccessType accessType)

  Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`

  Parameters:
    `entityRegion` -
    `accessType` -
  Returns:
    the created `EntityRegionAccessStrategy`

### createCollectionRegionAccessStrategy

    CollectionRegionAccessStrategy createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion,
                                                                        AccessType accessType)

  Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`

  Parameters:
    `collectionRegion` -
    `accessType` -
  Returns:
    the created `CollectionRegionAccessStrategy`

### createNaturalIdRegionAccessStrategy

    NaturalIdRegionAccessStrategy createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion,
                                                                      AccessType accessType)

  Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

  Parameters:
    `naturalIdRegion` -
    `accessType` -
  Returns:
    the created `NaturalIdRegionAccessStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.